#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private BuySideGlobal.BSGLevels[] cacheBSGLevels;

		
		public BuySideGlobal.BSGLevels BSGLevels(bool active2, bool active3)
		{
			return BSGLevels(Input, active2, active3);
		}


		
		public BuySideGlobal.BSGLevels BSGLevels(ISeries<double> input, bool active2, bool active3)
		{
			if (cacheBSGLevels != null)
				for (int idx = 0; idx < cacheBSGLevels.Length; idx++)
					if (cacheBSGLevels[idx].Active2 == active2 && cacheBSGLevels[idx].Active3 == active3 && cacheBSGLevels[idx].EqualsInput(input))
						return cacheBSGLevels[idx];
			return CacheIndicator<BuySideGlobal.BSGLevels>(new BuySideGlobal.BSGLevels(){ Active2 = active2, Active3 = active3 }, input, ref cacheBSGLevels);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.BuySideGlobal.BSGLevels BSGLevels(bool active2, bool active3)
		{
			return indicator.BSGLevels(Input, active2, active3);
		}


		
		public Indicators.BuySideGlobal.BSGLevels BSGLevels(ISeries<double> input , bool active2, bool active3)
		{
			return indicator.BSGLevels(input, active2, active3);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.BuySideGlobal.BSGLevels BSGLevels(bool active2, bool active3)
		{
			return indicator.BSGLevels(Input, active2, active3);
		}


		
		public Indicators.BuySideGlobal.BSGLevels BSGLevels(ISeries<double> input , bool active2, bool active3)
		{
			return indicator.BSGLevels(input, active2, active3);
		}

	}
}

#endregion
